Jupiter ERP
Account API

Update current account information

/api/account

PATCHHTTP
patch/api/account

Example request

PATCH https://api.jupiter-erp.com/api/account

Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "company_name": "string",
  "director_name": "string",
  "legal_form": "string",
  "address_line_1": "string",
  "address_line_2": "string"
}'

Request body

Optional

FieldTypeDescription
address_line_1stringFirst line of the address (Street and House number)
address_line_2stringSecond line of the address
bank_bicstringBank BIC/SWIFT code
bank_ibanstringBank IBAN
citystringCity of the address.
company_namestring
country_codestringISO country code of the address.
director_namestring
district_courtstring
emailstring (email)
employeesstring
industrystring
legal_formstring
namestring
phonestringPhone number in E.164 format.
sepa_creditor_idstring
statestringState or region of the address.
tax_idstringTax ID
trading_register_numberstring
vat_idstringVAT ID
websitestring (https://test.com)
website_contactstring (https://test.com)
website_imprintstring (https://test.com)
website_privacy_policystring (https://test.com)
website_supportstring (https://test.com)
website_terms_of_servicestring (https://test.com)
zipstringZIP or postal code.
Example request
{
  "name": "string",
  "company_name": "string",
  "director_name": "string",
  "legal_form": "string",
  "address_line_1": "string",
  "address_line_2": "string"
}

Responses

200OK
ModelAccount
FieldTypeDescription
address_line_1stringFirst line of the address (Street and House number)
address_line_2stringSecond line of the address
bank_bicstringBank BIC/SWIFT code
bank_ibanstringBank IBAN
citystringCity of the address.
company_namestring
country_codestringISO country code of the address.
created_at*string (date-time)Creation timestamp in ISO 8601 format.
director_namestring
district_courtstring
emailstring (email)
employeesstring
id*integer
industrystring
legal_formstring
logoobject
FieldTypeDescription
idinteger
urlstring
name*string
phonestringPhone number in E.164 format.
sepa_creditor_idstring
slugstring
statestringState or region of the address.
status*stringTenant account lifecycle status. Set only by platform admins; not writable via Account API.

string

  • active
  • blocked
tax_idstringTax ID
trading_register_numberstring
updated_at*string (date-time)Last update timestamp in ISO 8601 format.
uuid*string
vat_idstringVAT ID
websitestring (https://test.com)
website_contactstring (https://test.com)
website_imprintstring (https://test.com)
website_privacy_policystring (https://test.com)
website_supportstring (https://test.com)
website_terms_of_servicestring (https://test.com)
zipstringZIP or postal code.
Example response
{
  "id": 0,
  "slug": "string",
  "uuid": "string",
  "name": "string",
  "status": "active",
  "company_name": "string",
  "updated_at": "2025-01-14T13:51:15.000Z",
  "created_at": "2025-01-14T13:51:15.000Z"
}
Account

Questions about integration?

PATCH /api/account · Jupiter ERP